Headers

  • Content-Type string

    application/json

    Default value is application/json.

  • Accept string

    application/json

    Default value is application/json.

  • User-Agent string

    Deliverect/{version}

    Default value is Deliverect/{version}.

  • X-Server-Authorization-HMAC-SHA256 string

    {signature}

    Default value is {signature}.

Query parameters

  • email string

    Email of the end customer. The requirement of this field will depend on the loyalty integration configured on the customer's account

  • phoneNumber string

    Phone number of the end customer in E164 format. The requirement of this field will depend on the loyalty integration configured on the customer's account

  • accountId string

    The merchant's account ID in Deliverect

  • loyaltyProfileId string

    The Id of the profile where the response configuration was stored

  • locationId string

    The location ID related to the merchant's account in Deliverect

  • channelLinkId string

    The channel link ID related to the location of the merchant's account in Deliverect

Responses

  • 200 application/json

    200

  • 404 text/plain

    404

GET /loyalty/customer
Response examples (200)
{
    "providerId": "partner-customer-id-1234",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@acme.com",
    "phoneNumber": "+32111111111",
    "dateOfBirth": "1970-01-01T00:00:00+00:00",
    "status": "active",
    "acceptedTCAt": "1970-01-01T00:00:00+00:00",
    "lifetimePointsBalance": 7837,
    "tier": {
        "name": "Gold",
        "description": "For premium members",
        "media": {
            "url": "https://image.png",
            "mediaType": "image"
        },
    }
}
Response examples (404)
{"value" => ""}